Perform various operations on name records.
Operations
getNameSelectFields
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalNameLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/persistent/account/getNameSelectFieldsPOST /nexum/627/persistent/account/getNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"NameLocator": 1,
"SelectableFields": {
"NameFields": {
"Locator": true,
"Type": true
}
}
}getNamePagedListSelectFields
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/account/getNamePagedListSelectFieldsPOST /nexum/627/persistent/account/getNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5
},
"SelectableFields": {
"NameFields": {
"Locator": true,
"Type": true
}
}
}searchNamePagedSelectFields
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/account/searchNamePagedSelectFieldsPOST /nexum/627/persistent/account/searchNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5
},
"SelectableFields": {
"NameFields": {
"Locator": true,
"Type": true
}
},
"SearchFilter": {
"Query": "type=0"
}
}updateNameByID
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalNameLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/persistent/account/updateNameByIDPOST /nexum/627/persistent/account/updateNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"NameLocator": 0,
"NameFields": {
"Type": 0,
"First": "string",
"Last": "string",
"NameFormat": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createName
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
NameLocatorintegeroptionalLoading fields…
POST
/nexum/{sym}/persistent/account/createNamePOST /nexum/627/persistent/account/createName HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"NameFields": {
"Type": 0,
"First": "string",
"Last": "string",
"NameFormat": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteName
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalNameLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
POST
/nexum/{sym}/persistent/account/deleteNamePOST /nexum/627/persistent/account/deleteName HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"NameLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}